## filelight 25.11.80

=== CMakeLists.txt ===
#######################################################################
# SPDX-FileCopyrightText: 2008-2014 Martin Sandsmark <martin.sandsmark@kde.org>
# SPDX-FileCopyrightText: 2022 Harald Sitter <sitter@kde.org>
#
# SPDX-License-Identifier: GPL-2.0-only OR GPL-3.0-only OR LicenseRef-KDE-Accepted-GPL
#######################################################################

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "25")
set(RELEASE_SERVICE_VERSION_MINOR "11")
set(RELEASE_SERVICE_VERSION_MICRO "80")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
set(FILELIGHT_VERSION ${RELEASE_SERVICE_VERSION})
# minimum requirements

cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
project(Filelight VERSION ${FILELIGHT_VERSION})

set(PROJECT_VERSION ${RELEASE_SERVICE_VERSION})
set(KF_MIN_VERSION "6.13.0")
set(QT_REQUIRED_VERSION "6.9.0")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

include(ECMAddAppIcon)
include(ECMGenerateHeaders)
include(ECMInstallIcons)
include(ECMMarkNonGuiExecutable)
include(ECMOptionalAddSubdirectory)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMFindQmlModule)
include(ECMQmlModule)

find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core Widgets Quick QuickControls2)
find_package(KF6 ${KF_MIN_VERSION} REQUIRED
    KIO
    I18n
    ColorScheme
    Config
    Crash
)
find_package(KF6DocTools) # Optional, not needed on Windows for example.

find_package(KF6QQC2DesktopStyle ${KF_MIN_VERSION})
set_package_properties(KF6QQC2DesktopStyle PROPERTIES TYPE RUNTIME)

ecm_find_qmlmodule(org.kde.coreaddons 1.0)
ecm_find_qmlmodule(org.kde.kirigami 2.19)
ecm_find_qmlmodule(Qt.labs.platform 1.1)

add_definitions(-DTRANSLATION_DOMAIN=\"filelight\")

ecm_set_disabled_deprecation_versions(QT 6.9.0
    KF 6.13.0
)
add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
include_directories(src)

add_subdirectory(src)
add_subdirectory(misc)
if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

ki18n_install(po)
if (KF6DocTools_FOUND)
    add_subdirectory(doc)
    kdoctools_install(po)
endif()

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
#######################################################################
# SPDX-FileCopyrightText: 2008-2014 Martin Sandsmark <martin.sandsmark@kde.org>
# SPDX-FileCopyrightText: 2017-2022 Harald Sitter <sitter@kde.org>
#
# SPDX-License-Identifier: GPL-2.0-only OR GPL-3.0-only OR LicenseRef-KDE-Accepted-GPL
#######################################################################

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX FILELIGHT
    VERSION_HEADER version.h)

include(CheckCXXSymbolExists)
check_cxx_symbol_exists(sincos "math.h" HAVE_SINCOS)
if (HAVE_SINCOS)
    add_definitions(-DHAVE_SINCOS)
endif()

add_library(filelightInternal STATIC
    fileTree.cpp
    directoryIterator.cpp
    fileCleaner.cpp
    scan.cpp
    Config.cpp
    localLister.cpp
    remoteLister.cpp
    fileTree.h
    directoryIterator.h
    fileCleaner.h
    scan.h
    Config.h
    localLister.h
    remoteLister.h
)
ecm_qt_declare_logging_category(filelightInternal
    HEADER filelight_debug.h
    IDENTIFIER FILELIGHT_LOG
    CATEGORY_NAME org.kde.filelight
    DESCRIPTION "filelight"
    EXPORT FILELIGHT
)
if (WIN32)
    target_sources(filelightInternal PRIVATE windowsWalker.cpp windowsWalker.h)
else()
    target_sources(filelightInternal PRIVATE posixWalker.cpp posixWalker.h)
endif()
target_link_libraries(filelightInternal
    Qt6::Gui
    Qt6::Qml
    KF6::ConfigCore
    KF6::I18n
    KF6::KIOWidgets # Only used for KDirLister, may be able to move away from that.
    KF6::Crash
)

add_executable(filelight)
target_sources(filelight PRIVATE
    radialMap/map.cpp
    radialMap/radialMap.cpp
    mainContext.cpp
    mainContext.h
    main.cpp
    fileTree.h
    radialMap/map.h
    radialMap/radialMap.h
    radialMap/sincos.h
    scan.h
    define.h
    localLister.h
    remoteLister.h
    Config.h
    qml/qml.qrc
    contextMenuContext.cpp
    contextMenuContext.h
    fileModel.cpp
    fileModel.h
    dropperItem.cpp
    dropperItem.h
    hicolor.qrc
    windowThemer.cpp windowThemer.h
)
target_include_directories(filelight PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/radialMap)

set(filelight_ICONS
    ${CMAKE_CURRENT_SOURCE_DIR}/../misc/16-apps-filelight.png
    ${CMAKE_CURRENT_SOURCE_DIR}/../misc/32-apps-filelight.png
    ${CMAKE_CURRENT_SOURCE_DIR}/../misc/48-apps-filelight.png
    ${CMAKE_CURRENT_SOURCE_DIR}/../misc/64-apps-filelight.png
    ${CMAKE_CURRENT_SOURCE_DIR}/../misc/128-apps-filelight.png
)
ecm_add_app_icon(filelight ICONS
    ${filelight_ICONS})

target_link_libraries(filelight
    PRIVATE
        KF6::I18n
        KF6::I18nQml
        KF6::ColorScheme
        Qt6::Quick
        Qt6::QuickControls2
        Qt6::Qml
        filelightInternal
)

ecm_add_qml_module(filelight URI org.kde.filelight
    VERSION 1.0
    GENERATE_PLUGIN_SOURCE
    OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/src/org/kde/filelight)
ecm_finalize_qml_module(filelight DESTINATION ${KDE_INSTALL_QMLDIR})
# Somehow qmlls doesn't find it in bin even though the qmlls.ini tells it to look there :(
add_custom_target(link_bin_org ALL
                  COMMAND ${CMAKE_COMMAND} -E create_symlink bin/org ${CMAKE_BINARY_DIR}/org)
add_dependencies(filelight link_bin_org)

if(APPLE)
    set_target_properties(filelight PROPERTIES
        MACOSX_BUNDLE_DISPLAY_NAME "Filelight"
        MACOSX_BUNDLE_BUNDLE_NAME "Filelight"
        MACOSX_BUNDLE_LONG_VERSION_STRING "Filelight ${RELEASE_SERVICE_VERSION}"
        MACOSX_BUNDLE_SHORT_VERSION_STRING "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}"
        MACOSX_BUNDLE_BUNDLE_VERSION "${RELEASE_SERVICE_VERSION}"
        MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.filelight"
        MACOSX_BUNDLE_COPYRIGHT "2006-2024 The Filelight Developers")

endif()

install(TARGETS filelight ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
ecm_qt_install_logging_categories(
    EXPORT FILELIGHT
    FILE filelight.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

=== debian/changelog ===
filelight (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:49:21 +0000

filelight (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:10:50 +0000

=== debian/control ===
Source: filelight
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.5.0~),
               gettext,
               libkf6colorscheme-dev (>= 6.5.0~),
               libkf6config-dev (>= 6.5.0~),
               libkf6crash-dev (>= 6.5.0~),
               libkf6doctools-dev <!nodoc>,
               libkf6i18n-dev (>= 6.5.0~),
               libkf6kio-dev (>= 6.5.0~),
               libkf6qqc2desktopstyle-dev (>= 6.5.0~),
               qt6-base-dev (>= 6.6.0~),
               qt6-declarative-dev (>= 6.6.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://apps.kde.org/filelight/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/filelight
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/filelight

Package: filelight
Architecture: any
Depends: qml6-module-org-kde-desktop,
         qml6-module-qtqml-workerscript,
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: show where your diskspace is being used
 Filelight allows you to understand your disk usage by graphically
 representing your filesystem as a set of concentric, segmented rings.
 .
 It is like a pie-chart, but the segments nest, allowing you to see both
 which directories take up all your space, and which directories
 and files inside those directories are the real culprits.

## filelight 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "80")
+set(RELEASE_SERVICE_VERSION_MICRO "90")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 set(FILELIGHT_VERSION ${RELEASE_SERVICE_VERSION})
 # minimum requirements

=== debian/changelog ===
filelight (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 13:58:53 +0000

## filelight 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,8 +7,8 @@
 
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "90")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 set(FILELIGHT_VERSION ${RELEASE_SERVICE_VERSION})
 # minimum requirements

=== debian/changelog ===
filelight (4:25.12.0-0zneon+24.04+noble+release+build25) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 12:28:18 +0000

filelight (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:33:05 +1000

## filelight 25.12.0+p24.04+vstable+git20251211.0104

=== debian/changelog ===
filelight (4:25.12.0+p24.04+vstable+git20251211.0104-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Dec 2025 01:04:12 +0000

## filelight 25.12.0+p24.04+vunstable+git20251208.1333

=== debian/changelog ===
filelight (4:25.12.0+p24.04+vunstable+git20251208.1333-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 13:33:37 +0000

## filelight 25.12.1

=== debian/changelog ===
filelight (4:25.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Drop patches applied upstream.
  * Switch to debian/watch format version 5.
  * Drop executable flag from desktop file.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 15 Jan 2026 13:33:33 +0100

=== debian/control ===
Source: filelight
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.13.0~),
               gettext,
               libkf6colorscheme-dev (>= 6.13.0~),
               libkf6config-dev (>= 6.13.0~),
               libkf6crash-dev (>= 6.13.0~),
               libkf6doctools-dev <!nodoc>,
               libkf6i18n-dev (>= 6.13.0~),
               libkf6kio-dev (>= 6.13.0~),
               libkf6qqc2desktopstyle-dev (>= 6.13.0~),
               qt6-base-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.3
Homepage: https://apps.kde.org/filelight/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/filelight
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/filelight.git

Package: filelight
Architecture: any
Depends: qml6-module-org-kde-desktop,
         qml6-module-qtqml-workerscript,
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: show where your diskspace is being used
 Filelight allows you to understand your disk usage by graphically
 representing your filesystem as a set of concentric, segmented rings.
 .
 It is like a pie-chart, but the segments nest, allowing you to see both
 which directories take up all your space, and which directories
 and files inside those directories are the real culprits.

=== debian/rules ===
#!/usr/bin/make -f

# Disable fixfilepath, as it triggers build failures.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=-fixfilepath

%:
	dh $@

execute_before_dh_auto_build:
	# print the filesystem info (that include the block sizes) to help
	# debugging issues in DirectoryIterator/POSIXWalker
	LANG=C stat -f .
	# info on the test files
	LANG=C stat autotests/iterator-tree.in/*

override_dh_auto_test:
	- xvfb-run -a --server-args="-screen 0 1024x768x24+32" dh_auto_test

execute_after_dh_fixperms-arch:
	chmod -x $(CURDIR)/debian/filelight/usr/share/kio/servicemenus/filelight.desktop

execute_after_dh_auto_clean:
	rm -f src/qml/qml.generated.qrc

## filelight 25.12.1+p24.04+vstable+git20260106.1459

=== debian/changelog ===
filelight (4:25.12.1+p24.04+vstable+git20260106.1459-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 14:59:02 +0000

filelight (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:22:16 +1000

## filelight 25.12.1+p24.04+vstable+git20260128.0350

=== debian/changelog ===
filelight (4:25.12.1+p24.04+vstable+git20260128.0350-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 28 Jan 2026 03:51:00 +0000

## filelight 25.12.1+p24.04+vstable+git20260201.0220

=== debian/changelog ===
filelight (4:25.12.1+p24.04+vstable+git20260201.0220-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 02:20:15 +0000

## filelight 25.12.1+p24.04+vunstable+git20260202.0926

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,9 +6,9 @@
 #######################################################################
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MAJOR "26")
+set(RELEASE_SERVICE_VERSION_MINOR "03")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 set(FILELIGHT_VERSION ${RELEASE_SERVICE_VERSION})
 # minimum requirements

=== misc/CMakeLists.txt ===
#######################################################################
# SPDX-FileCopyrightText: 2008-2009 Martin Sandsmark <martin.sandsmark@kde.org>
#
# SPDX-License-Identifier: GPL-2.0-only OR GPL-3.0-only OR LicenseRef-KDE-Accepted-GPL
#######################################################################

install(PROGRAMS org.kde.filelight.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.filelight.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(PROGRAMS servicemenu.desktop
    RENAME filelight.desktop
    DESTINATION ${KDE_INSTALL_DATADIR}/kio/servicemenus)

ecm_install_icons(ICONS
    16-apps-filelight.png
    22-apps-filelight.png
    32-apps-filelight.png
    48-apps-filelight.png
    64-apps-filelight.png
    128-apps-filelight.png
    DESTINATION ${KDE_INSTALL_ICONDIR}
    THEME hicolor
)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -38,6 +38,11 @@
     DESCRIPTION "filelight"
     EXPORT FILELIGHT
 )
+kconfig_target_kcfg_file(filelightInternal
+    FILE filelightsettings.kcfg
+    CLASS_NAME FilelightSettings
+    MUTATORS
+)
 if (WIN32)
     target_sources(filelightInternal PRIVATE windowsWalker.cpp windowsWalker.h)
 else()
@@ -47,6 +52,7 @@
     Qt6::Gui
     Qt6::Qml
     KF6::ConfigCore
+    KF6::ConfigGui
     KF6::I18n
     KF6::KIOWidgets # Only used for KDirLister, may be able to move away from that.
     KF6::Crash

=== debian/changelog ===
filelight (4:25.12.1+p24.04+vunstable+git20260202.0926-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 02 Feb 2026 09:26:34 +0000

## filelight 25.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,9 +6,9 @@
 #######################################################################
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "26")
-set(RELEASE_SERVICE_VERSION_MINOR "03")
-set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 set(FILELIGHT_VERSION ${RELEASE_SERVICE_VERSION})
 # minimum requirements

=== debian/changelog ===
filelight (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:17:56 +0000

filelight (4:25.12.1-1ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 21:38:25 +0000

filelight (4:25.12.1-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Fri, 16 Jan 2026 15:15:59 +0000

filelight (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 10:57:18 +0000

filelight (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:13:58 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: filelight
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.13.0~),
                gettext,
                libkf6colorscheme-dev (>= 6.13.0~),
@@ -22,8 +23,8 @@
                xvfb <!nocheck>,
 Standards-Version: 4.7.3
 Homepage: https://apps.kde.org/filelight/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/filelight
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/filelight.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/filelight
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/filelight
 
 Package: filelight
 Architecture: any
